SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Enumerations
DynDNS.h File Reference

Helper to class to update DynDNS This can be used to determine what permissions are should be allowed to the other system. More...

`#include "NativeFeatureIncludes.h"`
`#include "string.h"`

Go to the source code of this file.

## Classes

class | SLNet::DynDNS

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum

SLNet::DynDnsResultCode {
SLNet::RC_SUCCESS, SLNet::RC_DNS_ALREADY_SET, SLNet::RC_NO_CHANGE, SLNet::RC_NOT_DONATOR,
SLNet::RC_NO_HOST, SLNet::RC_BAD_AUTH, SLNet::RC_NOT_YOURS, SLNet::RC_ABUSE,
SLNet::RC_TCP_FAILED_TO_START, SLNet::RC_TCP_DID_NOT_CONNECT, SLNet::RC_UNKNOWN_RESULT, SLNet::RC_PARSING_FAILURE,
SLNet::RC_CONNECTION_LOST_WITHOUT_RESPONSE, SLNet::RC_BAD_AGENT, SLNet::RC_BAD_SYS, SLNet::RC_DNS_ERROR,
SLNet::RC_NOT_FQDN, SLNet::RC_NUM_HOST, SLNet::RC_911, SLNet::RC_DYNDNS_TIMEOUT
}

## Detailed Description

Helper to class to update DynDNS This can be used to determine what permissions are should be allowed to the other system.

Definition in file DynDNS.h.